<?php
include "config.php";

//start the session
session_start();
     
$photo_upload_fields = '';
$photo_category_list = ''; 
$counter = 1;

// default number of fields
$number_of_fields = 5; 
     
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<title>Photo Gallery</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta name="generator" content="Geany 0.19.1" />
	<link rel="stylesheet" type="text/css" href="main.css">
</head>

<?php     

//check to make sure the session variable is registered
if(isset($_SESSION['username']))
{
//the session variable is registered, the user is allowed to see anything that follows
$name = $_SESSION['username'];

echo '<body><h1 align="center">Galleria Lite - Photo Administrator - Add Photos</h1>';
echo 'Welcome, ' . $name . ' you are logged in.<br /><br />
<a href="adminuser.php"><img src="images/adminpage.png" alt="Back to Administrator Main Page"></a>
<hr />';

// Lets build the Category List

	$result = $db->query( "SELECT category_id,category_name FROM gallery_category" );
	foreach($result as $row)
	{
		$photo_category_list .=<<<__HTML_END
	<option value=$row[category_id]>$row[category_name]</option>\n
__HTML_END;
	}

// Lets build the Photo Uploading fields
	while( $counter <= $number_of_fields )
	{
$photo_upload_fields .=<<<__HTML_END
<tr>
	<td>
	     Photo {$counter}:
	    <input name=' photo_filename[]' type='file' />
	</td>
	<td>Caption:<textarea name='photo_caption[]' cols='30' rows='4'></textarea>
	</td>
	</tr>
__HTML_END;
	$counter++;
	}
	
	// Final Output
echo <<<__HTML_END
<html>
<head>
	<title>Lets upload Photos</title>
</head>
<body>
<form enctype='multipart/form-data' action='upload.php' method='post' name='upload_form'>
<table width='90%' border='0' align='center' style='width: 50%;'>
<tr>
	<td>
		Select Gallery
		<select name='category'>
			$photo_category_list
		</select>
	</td>
</tr>
<!-Insert the photo fields here -->
$photo_upload_fields

<tr>
	<td>
	        <input type='submit' name='submit' value='Add Photos' />
	</td>
</tr>
</table>
</form>
</body>
</html>
__HTML_END;


}
else{
//the session variable isn't registered, send them back to the login page
header( "Location: login.php" );
}


?>
